[Armadeus-commitlog] armadeus branch, master, updated. release-3.2-428-g8d64245
Brought to you by:
sszy
|
From: Julien B a. A. <ar...@us...> - 2010-06-11 15:29:18
|
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "armadeus".
The branch, master has been updated
via 8d64245829682bacc4493ad4e501612ee6d0e32c (commit)
via 637e42bbb251313b8462f31200d2d59dad51599b (commit)
via e1460ff0cf9eca2c5d5ddb418b42f3ef00a4fc3f (commit)
via 31a23e1c817ac33f58a4286091c74a134386502a (commit)
via 7f2becca6ad6bd841032bdf30f03ec6b756a4932 (commit)
from 1aa2f760ada63840b959f98a0b0b92e05bc14600 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
commit 8d64245829682bacc4493ad4e501612ee6d0e32c
Author: Julien Boibessot <jul...@ar...>
Date: Fri Jun 11 17:26:36 2010 +0200
[TESTS] Add test for GSM MoDem (APW)
commit 637e42bbb251313b8462f31200d2d59dad51599b
Author: Julien Boibessot <jul...@ar...>
Date: Fri Jun 11 11:58:20 2010 +0200
[BUILDROOT] Busybox: add chat (Automated conversational script with a modem) to default configs
commit e1460ff0cf9eca2c5d5ddb418b42f3ef00a4fc3f
Author: Julien Boibessot <jul...@ar...>
Date: Fri Jun 11 11:42:40 2010 +0200
[BUILDROOT] Add new mount point for FLASH partitions (/mnt/flash)
commit 31a23e1c817ac33f58a4286091c74a134386502a
Author: Julien Boibessot <jul...@ar...>
Date: Fri Jun 11 11:41:13 2010 +0200
[BUILDROOT] Remove /mnt/mmc of target skeleton (use /media/mmc instead)
commit 7f2becca6ad6bd841032bdf30f03ec6b756a4932
Author: Julien Boibessot <jul...@ar...>
Date: Thu Jun 10 16:05:00 2010 +0200
[TESTS] Add test for GPS (APW)
-----------------------------------------------------------------------
Summary of changes:
buildroot/local/apf27_test/busybox-1.12.1.config | 10 +-
buildroot/local/apf9328_test/busybox-1.12.1.config | 10 +-
.../target/device/armadeus/busybox-1.16.0.config | 8 +-
buildroot/target/device/armadeus/busybox.config | 10 +-
.../target_skeleton/mnt/{mmc => flash}/.empty | 0
target/test/test_gps.sh | 48 +++++++++
target/test/test_gsm.sh | 101 ++++++++++++++++++++
7 files changed, 168 insertions(+), 19 deletions(-)
rename buildroot/target/device/armadeus/rootfs/target_skeleton/mnt/{mmc => flash}/.empty (100%)
create mode 100755 target/test/test_gps.sh
create mode 100755 target/test/test_gsm.sh
diff --git a/buildroot/local/apf27_test/busybox-1.12.1.config b/buildroot/local/apf27_test/busybox-1.12.1.config
index 50a8394..1fd679b 100644
--- a/buildroot/local/apf27_test/busybox-1.12.1.config
+++ b/buildroot/local/apf27_test/busybox-1.12.1.config
@@ -1,7 +1,7 @@
#
# Automatically generated make config: don't edit
# Busybox version: 1.12.1
-# Tue Jun 2 13:28:40 2009
+# Fri Jun 11 11:24:10 2010
#
CONFIG_HAVE_DOT_CONFIG=y
@@ -545,11 +545,11 @@ CONFIG_FEATURE_MOUNT_LOOP=y
#
CONFIG_ADJTIMEX=y
# CONFIG_BBCONFIG is not set
-# CONFIG_CHAT is not set
-# CONFIG_FEATURE_CHAT_NOFAIL is not set
+CONFIG_CHAT=y
+CONFIG_FEATURE_CHAT_NOFAIL=y
# CONFIG_FEATURE_CHAT_TTY_HIFI is not set
-# CONFIG_FEATURE_CHAT_IMPLICIT_CR is not set
-# CONFIG_FEATURE_CHAT_SWALLOW_OPTS is not set
+CONFIG_FEATURE_CHAT_IMPLICIT_CR=y
+CONFIG_FEATURE_CHAT_SWALLOW_OPTS=y
# CONFIG_FEATURE_CHAT_SEND_ESCAPES is not set
# CONFIG_FEATURE_CHAT_VAR_ABORT_LEN is not set
# CONFIG_FEATURE_CHAT_CLR_ABORT is not set
diff --git a/buildroot/local/apf9328_test/busybox-1.12.1.config b/buildroot/local/apf9328_test/busybox-1.12.1.config
index ec2a7b5..d36700d 100644
--- a/buildroot/local/apf9328_test/busybox-1.12.1.config
+++ b/buildroot/local/apf9328_test/busybox-1.12.1.config
@@ -1,7 +1,7 @@
#
# Automatically generated make config: don't edit
# Busybox version: 1.12.1
-# Tue Jun 2 18:13:49 2009
+# Fri Jun 11 11:24:10 2010
#
CONFIG_HAVE_DOT_CONFIG=y
@@ -545,11 +545,11 @@ CONFIG_FEATURE_MOUNT_LOOP=y
#
CONFIG_ADJTIMEX=y
# CONFIG_BBCONFIG is not set
-# CONFIG_CHAT is not set
-# CONFIG_FEATURE_CHAT_NOFAIL is not set
+CONFIG_CHAT=y
+CONFIG_FEATURE_CHAT_NOFAIL=y
# CONFIG_FEATURE_CHAT_TTY_HIFI is not set
-# CONFIG_FEATURE_CHAT_IMPLICIT_CR is not set
-# CONFIG_FEATURE_CHAT_SWALLOW_OPTS is not set
+CONFIG_FEATURE_CHAT_IMPLICIT_CR=y
+CONFIG_FEATURE_CHAT_SWALLOW_OPTS=y
# CONFIG_FEATURE_CHAT_SEND_ESCAPES is not set
# CONFIG_FEATURE_CHAT_VAR_ABORT_LEN is not set
# CONFIG_FEATURE_CHAT_CLR_ABORT is not set
diff --git a/buildroot/target/device/armadeus/busybox-1.16.0.config b/buildroot/target/device/armadeus/busybox-1.16.0.config
index cb0620f..c726db3 100644
--- a/buildroot/target/device/armadeus/busybox-1.16.0.config
+++ b/buildroot/target/device/armadeus/busybox-1.16.0.config
@@ -579,11 +579,11 @@ CONFIG_ADJTIMEX=y
# CONFIG_BEEP is not set
CONFIG_FEATURE_BEEP_FREQ=0
CONFIG_FEATURE_BEEP_LENGTH_MS=0
-# CONFIG_CHAT is not set
-# CONFIG_FEATURE_CHAT_NOFAIL is not set
+CONFIG_CHAT=y
+CONFIG_FEATURE_CHAT_NOFAIL=y
# CONFIG_FEATURE_CHAT_TTY_HIFI is not set
-# CONFIG_FEATURE_CHAT_IMPLICIT_CR is not set
-# CONFIG_FEATURE_CHAT_SWALLOW_OPTS is not set
+CONFIG_FEATURE_CHAT_IMPLICIT_CR=y
+CONFIG_FEATURE_CHAT_SWALLOW_OPTS=y
# CONFIG_FEATURE_CHAT_SEND_ESCAPES is not set
# CONFIG_FEATURE_CHAT_VAR_ABORT_LEN is not set
# CONFIG_FEATURE_CHAT_CLR_ABORT is not set
diff --git a/buildroot/target/device/armadeus/busybox.config b/buildroot/target/device/armadeus/busybox.config
index 274a644..fd40282 100644
--- a/buildroot/target/device/armadeus/busybox.config
+++ b/buildroot/target/device/armadeus/busybox.config
@@ -1,7 +1,7 @@
#
# Automatically generated make config: don't edit
# Busybox version: 1.12.1
-# Sat Nov 22 17:06:44 2008
+# Fri Jun 11 11:24:10 2010
#
CONFIG_HAVE_DOT_CONFIG=y
@@ -545,11 +545,11 @@ CONFIG_FEATURE_MOUNT_LOOP=y
#
CONFIG_ADJTIMEX=y
# CONFIG_BBCONFIG is not set
-# CONFIG_CHAT is not set
-# CONFIG_FEATURE_CHAT_NOFAIL is not set
+CONFIG_CHAT=y
+CONFIG_FEATURE_CHAT_NOFAIL=y
# CONFIG_FEATURE_CHAT_TTY_HIFI is not set
-# CONFIG_FEATURE_CHAT_IMPLICIT_CR is not set
-# CONFIG_FEATURE_CHAT_SWALLOW_OPTS is not set
+CONFIG_FEATURE_CHAT_IMPLICIT_CR=y
+CONFIG_FEATURE_CHAT_SWALLOW_OPTS=y
# CONFIG_FEATURE_CHAT_SEND_ESCAPES is not set
# CONFIG_FEATURE_CHAT_VAR_ABORT_LEN is not set
# CONFIG_FEATURE_CHAT_CLR_ABORT is not set
diff --git a/buildroot/target/device/armadeus/rootfs/target_skeleton/mnt/mmc/.empty b/buildroot/target/device/armadeus/rootfs/target_skeleton/mnt/flash/.empty
similarity index 100%
rename from buildroot/target/device/armadeus/rootfs/target_skeleton/mnt/mmc/.empty
rename to buildroot/target/device/armadeus/rootfs/target_skeleton/mnt/flash/.empty
diff --git a/target/test/test_gps.sh b/target/test/test_gps.sh
new file mode 100755
index 0000000..c156cbb
--- /dev/null
+++ b/target/test/test_gps.sh
@@ -0,0 +1,48 @@
+#!/bin/sh
+
+#
+# Script to test Armadeus Software release
+#
+# Copyright (C) 2010 The Armadeus Project
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+
+source ./test_helpers.sh
+
+GPS_DEVICE=/dev/ttySMX4
+
+test_gps()
+{
+ show_test_banner "GPS (APW)"
+
+ ask_user "Do you have an APF27 with an APW wireless extension board and the corresponding Linux kernel ? (Y/n)"
+ if [ "$response" == "n" ] || [ "$response" == "no" ]; then
+ echo "Only the APW is supported by this test yet !!"
+ exit_failed
+ fi
+
+ stty -F /dev/ttySMX4 raw -echo -echoe -echok 38400
+ if [ "$?" != 0 ]; then
+ echo "Failed to setup serial port ($GPS_DEVICE) !!"
+ exit_failed
+ fi
+
+ cat $GPS_DEVICE &
+ sleep 3
+ killall cat
+
+ ask_user "Did you see some NMEA frames ? (Y/n)"
+ if [ "$response" == "n" ] || [ "$response" == "no" ]; then
+ exit_failed
+ fi
+
+ echo_test_ok
+ exit 0
+}
+
+test_gps
+
diff --git a/target/test/test_gsm.sh b/target/test/test_gsm.sh
new file mode 100755
index 0000000..d7f0b29
--- /dev/null
+++ b/target/test/test_gsm.sh
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+#
+# Script to test Armadeus Software release
+#
+# Copyright (C) 2010 The Armadeus Project
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+
+source ./test_helpers.sh
+
+DEFAULT_PIN_CODE="0000"
+DEFAULT_PHONE_NUMBER="0954000000"
+GSM_DEVICE=/dev/ttySMX1
+
+send_at_cmd()
+{
+# echo "($1)"
+ echo -e -n "$1\015" > $GSM_DEVICE
+ sleep 1
+}
+
+exit_failed_gsm()
+{
+ killall cat 2>/dev/null
+ send_at_cmd ATE1 # ECHO ON
+ exit_failed
+}
+
+test_gsm()
+{
+ show_test_banner "GSM (APW)"
+
+ ask_user "Do you have APF27 with an APW wireless extension board with GSM modem and the corresponding Linux kernel ? (Y/n)"
+ if [ "$response" == "n" ] || [ "$response" == "no" ]; then
+ echo "Only the APW is supported by this test yet !!"
+ exit_failed
+ fi
+
+ stty -F $GSM_DEVICE raw -echo -echoe -echok
+ if [ "$?" != 0 ]; then
+ echo "Failed to setup serial port ($GSM_DEVICE)"
+ exit_failed
+ fi
+
+ send_at_cmd ATE0 # ECHO OFF
+ cat $GSM_DEVICE &
+ echo " --- Checking MoDem is responding:"
+ send_at_cmd ATI3
+ echo " --- Constructor:"
+ send_at_cmd AT+CGMI
+ echo " --- Model:"
+ send_at_cmd AT+CGMM
+
+ ask_user "Please enter your PIN code (ENTER to skip)"
+ if [ "$response" == "" ]; then
+ PIN_CODE=$DEFAULT_PIN_CODE
+ else
+ PIN_CODE=$response
+ DIGITS=`echo -n "$PIN_CODE" | wc -c`
+ if [ "$DIGITS" == 4 ]; then
+ echo -e -n "AT+CPIN=\"$PIN_CODE\"\015" > $GSM_DEVICE
+ sleep 2
+ send_at_cmd "AT+CPIN?"
+ else
+ echo "Bad PIN code ($PIN_CODE)"
+ exit_failed_gsm
+ fi
+ fi
+
+ ask_user "Please enter a phone number, I will make it ring (default=$DEFAULT_PHONE_NUMBER)"
+ if [ "$response" == "" ]; then
+ PHONE_NUMBER=$DEFAULT_PHONE_NUMBER
+ else
+ PHONE_NUMBER=$response
+ fi
+ DIGITS=`echo -n "$PHONE_NUMBER" | wc -c`
+ if [ "$DIGITS" != 10 ]; then
+ echo "Bad phone number format ($PHONE_NUMBER)"
+ exit_failed_gsm
+ fi
+ killall cat
+ /usr/sbin/chat ABORT 'NO CARRIER' ECHO ON '' AT OK ATD"$PHONE_NUMBER" OK > $GSM_DEVICE < $GSM_DEVICE
+ sleep 5
+ send_at_cmd ATH
+ ask_user "Did you ear it ring ? (Y/n)"
+ if [ "$response" == "n" ] || [ "$response" == "no" ]; then
+ echo "Probably no carrier ?"
+ exit_failed_gsm
+ fi
+
+ echo_test_ok
+ exit 0
+}
+
+test_gsm
+
hooks/post-receive
--
armadeus
|